Skip to main content
PUT
Update a saved search

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://login.seamless.ai/oauth/authorize
Token URL
https://api.seamless.ai/api/client/v2/oauth/accessToken

Path Parameters

id
integer
required

Unique identifier of the saved search

Example:

789

Body

application/json
name
string

New display name of the saved search

values
object

Search criteria/filters object

sortColumn
string

Column used for sorting results

sortOrder
string

Sort direction

Example:

"desc"

tagIds
integer[]

IDs of lists/tags to associate with the search

numResultsApproved
integer

Number of approved results

Required range: x >= 0

Response

The updated saved search

success
boolean
Example:

true

data
object